Bug 887972 - Ensure that generated rememberme token is really unique
Summary: Ensure that generated rememberme token is really unique
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER05
: 6.0.0
Assignee: mposolda
QA Contact: vramik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-17 17:38 UTC by mposolda
Modified: 2013-11-05 00:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-16 08:55:28 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker GTNPORTAL-2771 0 Major Resolved Ensure that generated rememberme token is really unique 2015-05-11 11:41:21 UTC

Description mposolda 2012-12-17 17:38:15 UTC
See https://issues.jboss.org/browse/GTNPORTAL-2771

Comment 1 vramik 2013-01-29 12:45:55 UTC
I've verified that changes from https://github.com/gatein/gatein-portal/pull/296 are applied in 	git://git.app.eng.bos.redhat.com/gatein/gatein-portal.git tag 3.5.1.Final-redhat-1, which is tag for er05

Comment 2 vramik 2013-01-29 15:14:33 UTC
I tried following scenario:
I've used jar with org.exoplatform.web.security.SimpleGeneratorCookieTokenService test class and configured jpp to use this class instead of original one.

Then I tried to log in wit rememberme checkbox checked and cookie with "rememberme1" was generated. Then I erased cookies and log in with rememberme checkbox checked again and cookie with "rememberme2" was generated.
Then I erased cookies and log in with rememberme checkbox checked again and cookie with "rememberme3" was generated and in log is: 16:06:53,727 DEBUG [org.exoplatform.web.security.SimpleGeneratorCookieTokenService] (http-/127.0.0.1:8080-2) Token rememberme2 already exists. Other token will be generated

Comment 3 mposolda 2013-01-29 19:37:46 UTC
Thanks Vlasta! I think this is sufficient for verification of this BZ.


Note You need to log in before you can comment on or make changes to this bug.